<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2005 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.3
  $Source: /cvsroot/coppermine/stable/themes/subsilver/theme.php,v $ $
  $Revision: 1.3.1 $
  $Author: gaugau $
  $Date: 2006-01-04 11:32:00 $
***********************************************/

// ------------------------------------------------------------------------- //
// This theme has had all redundant CORE items removed                       //
// ------------------------------------------------------------------------- //

define('THEME_HAS_RATING_GRAPHICS', 1);
define('THEME_IS_XHTML10_TRANSITIONAL',1);
define('THEME_HAS_NO_SYS_MENU_BUTTONS', 1);
define('THEME_HAS_NO_SUB_MENU_BUTTONS', 1);

// HTML template for main menu
$template_sys_menu = <<<EOT
                <span class="topmenu">

<!-- BEGIN home -->
                      <a href="{HOME_TGT}" title="{HOME_TITLE}"><img src="themes/subsilver/images/icon_mini_house.gif" alt="" />{HOME_LNK}</a>&nbsp;
<!-- END home -->

<!-- BEGIN my_gallery -->
                        <a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}"><img src="themes/subsilver/images/icon_mini_profile.gif" alt="">{MY_GAL_LNK}</a>&nbsp;
<!-- END my_gallery -->

<!-- BEGIN allow_memberlist -->
                        <a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}"><img src="themes/subsilver/images/icon_mini_members.gif" alt="">{MEMBERLIST_LNK}</a>&nbsp;
<!-- END allow_memberlist -->

<!-- BEGIN my_profile -->
                        <a href="{MY_PROF_TGT}"><img src="themes/subsilver/images/icon_mini_profile.gif" alt="">{MY_PROF_LNK}</a>&nbsp;
<!-- END my_profile -->

<!-- BEGIN faq -->
                        <a href="{FAQ_TGT}" title="{FAQ_TITLE}"><img src="themes/subsilver/images/icon_mini_faq.gif" alt="">{FAQ_LNK}</a>&nbsp;
<!-- END faq -->

<!-- BEGIN enter_admin_mode -->
                        <a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}"><img src="themes/subsilver/images/icon_mini_message.gif" alt="">{ADM_MODE_LNK}</a>&nbsp;
<!-- END enter_admin_mode -->

<!-- BEGIN leave_admin_mode -->
                        <a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}"><img src="themes/subsilver/images/icon_mini_message.gif" alt="">{USR_MODE_LNK}</a>&nbsp;
<!-- END leave_admin_mode -->

<!-- BEGIN upload_pic -->
                        <a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}"><img src="themes/subsilver/images/icon_mini_message.gif" alt="">{UPL_PIC_LNK}</a>&nbsp;
<!-- END upload_pic -->

<!-- BEGIN register -->
                        <a href="{REGISTER_TGT}" title="{REGISTER_TITLE}"><img src="themes/subsilver/images/icon_mini_register.gif" alt="">{REGISTER_LNK}</a>&nbsp;
<!-- END register -->

<!-- BEGIN login -->
                        <a href="{LOGIN_TGT}"><img src="themes/subsilver/images/icon_mini_login.gif" alt="">{LOGIN_LNK}</a>
<!-- END login -->

<!-- BEGIN logout -->
                        <a href="{LOGOUT_TGT}"><img src="themes/subsilver/images/icon_mini_login.gif" alt="">{LOGOUT_LNK}</a>
<!-- END logout -->
EOT;

// HTML template for sub_menu
$template_sub_menu = <<<EOT
<!-- BEGIN custom_link -->
     <a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}"><img src="themes/subsilver/images/icon_mini_custom.gif" alt="" />{CUSTOM_LNK_LNK}</a>&nbsp;
<!-- END custom_link -->

<!-- BEGIN album_list -->
     <a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}"><img src="themes/subsilver/images/icon_mini_groups.gif" alt="" />{ALB_LIST_LNK}</a>&nbsp;
<!-- END album_list -->

<a href="{LASTUP_TGT}"><img src="themes/subsilver/images/icon_mini_message.gif" alt="" />{LASTUP_LNK}</a>&nbsp;
<a href="{LASTCOM_TGT}"><img src="themes/subsilver/images/icon_mini_message.gif" alt="" />{LASTCOM_LNK}</a>&nbsp;
<a href="{TOPN_TGT}"><img src="themes/subsilver/images/icon_mini_message.gif" alt="" />{TOPN_LNK}</a>&nbsp;<br />
<a href="{TOPRATED_TGT}"><img src="themes/subsilver/images/icon_mini_message.gif" alt="" />{TOPRATED_LNK}</a>&nbsp;
<a href="{FAV_TGT}"><img src="themes/subsilver/images/icon_mini_message.gif" alt="" />{FAV_LNK}</a>&nbsp;<br />
<a href="{SEARCH_TGT}"><img src="themes/subsilver/images/icon_mini_search.gif" alt="" />{SEARCH_LNK}</a>
EOT;

// Function to start a 'standard' table
function starttable($width = '-1', $title = '', $title_colspan = '1')
{
    global $CONFIG;

    if ($width == '-1') $width = $CONFIG['picture_table_width'];
    if ($width == '100%') $width = $CONFIG['main_table_width'];
    echo <<<EOT

<!-- Start standard table -->
<table align="center" width="$width" cellspacing="1" cellpadding="0" class="maintable">

EOT;
    if ($title) {
        echo <<<EOT
        <tr>
                <td class="tableh1" colspan="$title_colspan">$title</td>
        </tr>

EOT;
 // Template used for tabbed display
$template_tab_display = array('left_text' => '<td width="100%" align="left" valign="middle" class="tableh1_compact" style="white-space: nowrap"><strong>{LEFT_TEXT}</strong></td>' . "\n",
    'tab_header' => '',
    'tab_trailer' => '',
    'active_tab' => '<td><img src="images/spacer.gif" width="1" height="1" alt="" /></td>' . "\n" . '<td align="center" valign="middle" class="tableb_compact"><strong>%d</strong></td>',
    'inactive_tab' => '<td><img src="images/spacer.gif" width="1" height="1" alt="" /></td>' . "\n" . '<td align="center" valign="middle" class="navmenu"><a href="{LINK}"><strong>%d</strong></a></td>' . "\n"
    );
    }
}

function endtable()
{
    echo <<<EOT
</table>

<!-- End standard table -->

EOT;
}

?>
